<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>netstandard2.0</TargetFramework>
		<GeneratePackageOnBuild>true</GeneratePackageOnBuild>
		<!-- Forces SDK to copy dependencies into build output to make packing easier -->
		<CopyLocalLockFileAssemblies>true</CopyLocalLockFileAssemblies>
		<!-- Suppresses the warnings about the package not having assemblies in lib/*/.dll.-->
		<NoPackageAnalysis>true</NoPackageAnalysis>
		<!-- Change the default location where NuGet will put the build output -->
		<BuildOutputTargetFolder>tasks</BuildOutputTargetFolder>
	</PropertyGroup>

	<Import Project="..\Build.props" />

	<PropertyGroup>
		<Namespace>$(ProjectGroupName).BuildTools.Generic</Namespace>
		<Title>$(ProjectGroupName) Build Tools Generic</Title>
	</PropertyGroup>

	<Import Project="..\Common.props" />

	<ItemGroup>
		<PackageReference Include="Microsoft.Build.Utilities.Core" Version="16.5.0" />
		<PackageReference Include="System.Text.Json" Version="4.7.1" />
		<PackageReference Update="@(PackageReference)" PrivateAssets="All" />
	</ItemGroup>

	<ItemGroup>
		<Content Include="Cloudburst.BuildTools.Generic.props">
			<Pack>true</Pack>
			<PackagePath>build</PackagePath>
		</Content>
		<Content Include="Cloudburst.BuildTools.Generic.targets">
			<Pack>true</Pack>
			<PackagePath>build</PackagePath>
		</Content>
	</ItemGroup>

	<Target Name="CopyToBin" AfterTargets="AfterBuild">
		<Copy SourceFiles="@(MainAssembly)" DestinationFolder="$(ProjectDir)bin" SkipUnchangedFiles="true" />
		<Message Text="Copied @(MainAssembly) to $(ProjectDir)bin" />
	</Target>

	<Target Name="CopyBuildToolsPackageToLocalNuget" AfterTargets="Pack" Condition="'$(CloudburstBuildToolsPackageToLocalNuget)' != 'False'">
		<PropertyGroup>
			<LocalNugetLocation Condition="'$(LocalNugetLocation)' == ''">$(ProjectDir)..\Build</LocalNugetLocation>
		</PropertyGroup>

		<Copy SourceFiles="$(OutputPath)..\$(PackageId).$(PackageVersion).nupkg" DestinationFolder="$(LocalNugetLocation)" />
		<Message Text="Copied $(PackageId).$(PackageVersion).nupkg to $(LocalNugetPath)" />
	</Target>

</Project>
